{% extends 'match/base.html' %}
{% load static %}
{% block content %}
{% csrf_token %}

<style type="text/css">
	.profile-image{
		max-width: 100%;
		max-height: auto;
	}
	.profile-image{
		border-radius: 12px;
		border: 3px solid #DDDDDD;
	}
	.topfix{
		max-width: 50%;
	}
	.header-image{
		max-width: 100%;
		max-height: auto;
	}
	.poli-comp-image{
		max-height: 480px;
		max-width: 400px;
	}
	.photo-grid{
		display: grid;
		gap: 1rem;

		grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  		grid-auto-rows: 240px;
	}
	.card {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		text-align: center;
		background: #353535;
		font-size: 3rem;
		color: #fff;
		box-shadow: rgba(3, 8, 20, 0.1) 0px 0.15rem 0.5rem, rgba(2, 8, 20, 0.1) 0px 0.075rem 0.175rem;
		height: 100%;
		width: 100%;
		border-radius: 4px;
		transition: all 500ms;
		overflow: hidden;
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
	 }
	.card:hover {
		box-shadow: rgba(2, 8, 20, 0.1) 0px 0.35em 1.175em, rgba(2, 8, 20, 0.08) 0px 0.175em 0.5em;
		transform: translateY(-3px) scale(1.1);
	}
	.clickable {
		text-decoration: none;
	}
</style>

<div class="container">
  <div class="image-stack">
    <div class="image-stack__item image-stack__item--top topfix">
		<a href="{{avatar}}" target="_blank"><img class="profile-image" id="id_profile_avatar_display" src="{{avatar}}" alt="profile_avatar"></a>
    </div>
    <div class="image-stack__item image-stack__item--bottom">
      <a href="{{header}}" target="_blank"><img class="header-image" id="id_profile_header_display" src="{{header}}" alt="profile_header"></a>
    </div>
  </div>
</div>

<h4>Display Name</h4>
{% if uhand == "emojified" %}
{{emoji}}
{% else %}
{{uhand}}
{% endif %}

<h4>Username</h4>
{{email}}  <a title="Copy" href="#Copied_@{{email}}" onclick="CopyToClipBoard('@{{email}}')">&#128203;</a>

<h4>Joined Fediverse</h4>
{{join_fedi}}

<h4>Joined FediFinder</h4>
{{join_match}}

<h4>I am seeking</h4>
{% if seek == 1 %}
    Only social relationships
{% elif seek == 2 %}
	Only romantic relationships
{% else %}
	Both social and romantic relationships
{% endif %}

{% if sex %}
	<h4>I am</h4>
	{% if sex == 1 %}
		Male
	{% elif sex == 2 %}
		Female
	{% elif sex == 3 %}
		Trans (FtM)
	{% elif sex == 4 %}
		Trans (MtF)
	{% else %}
		Non-binary
	{% endif %}
{% endif %}

{% if rel_stat %}
	<h4>Relationship status</h4>
	{% if rel_stat == 1 %}
		Single
	{% elif rel_stat == 2 %}
		In a relationship
	{% elif rel_stat == 3 %}
		Married
	{% elif rel_stat == 4 %}
		Divorced
	{% else %}
		Waiting for a miracle
	{% endif %}
{% endif %}

{% if orient %}
	<h4>Orientation</h4>
	{% if orient == 1 %}
		Heterosexual
	{% elif orient == 2 %}
		Homosexual
	{% else %}
		Neither heterosexual, nor homosexual
	{% endif %}
{% endif %}

{% if attract %}
	<h4>I'm attracted to</h4>
	{{attract}}
{% endif %}

{% if bio %}
	<h4>Bio</h4>
	{{bio|linebreaksbr}}
{% endif %}

{% if interests %}
	<h4>Interests</h4>
	{{interests}}
{% endif %}

{% if lang_known %}
	<h4>Known Languages</h4>
	{{lang_known}}
{% endif %}

{% if lang_learn %}
	<h4>Learning</h4>
	{{lang_learn}}
{% endif %}

{% if race %}
	<h4>Race</h4>
	{{race}}
{% endif %}

{% if reli %}
	<h4>Religion</h4>
	{{reli}}
{% endif %}

{% if occupation %}
	<h4>Occupation</h4>
	{{occupation}}
{% endif %}

{% if mbti %}
	<h4>Myers–Briggs Type Indicator [MBTI]</h4>
	{{mbti}}
{% endif %}

{% if pol_soc == 0 and pol_eco == 0 %}
	<h4>Political Compass</h4>
	 0,0 is the default value so this user has either chosen to not set their coordinates or is a true centrist.
{% else %}
	<h4>Political Compass</h4>
	<img title="{{pol_eco}},{{pol_soc}}" class="poli-comp-image" src="https://www.politicalcompass.org/chart?ec={{pol_eco}}&amp;soc={{pol_soc}}" alt="personalised chart" >
{% endif %}

{% if photos.0.1 %}
	<h4>Curated Posts & Pictures</h4>
	<div class="photo-grid">
	{% for photo in photos %}
		{% if photo.0 == "[img]" %}
			<a href="{{photo.1}}" target="_blank">
				<div class="card" style="background-image:url({{photo.1}})"></div>
			</a>
		{% else %}
			<a href="{{photo.1}}" target="_blank" class="clickable">
				<div class="card" style="background-image:url(https://image.flaticon.com/icons/png/512/979/979334.png)">
					Click to see post
				</div>
			</a>
		{% endif %}
	{% endfor %}
	</div>
{% endif %}

{% if quiz %}
	<h4>Questionnaire</h4>
	<a href="{{quiz_url}}">Click here to respond to their questions</a>
	<p>Check any other links in the quiz section before clicking, they are not cleaned.</p>
	{% for question in quiz %}
		<p>{{question}}</p>
	{% endfor %}
{% endif %}

{% if location %}
	<h4>Location</h4>
	{{location}}
{% endif %}

{% if loc_lat == 0.000000000000 and loc_lon == 0.000000000000 %}
	<h4>Location Coordinates (0,0 is the default)</h4>
{% else %}
	<h4>Location Coordinates</h4>
{% endif %}
{{loc_lat}}, {{loc_lon}}

<h4>Stats</h4>
Height: {{height_ft}}'{{height_in}}"
Weight: {{weight}}
Age: {{age}}

<script type="text/javascript">
    function CopyToClipBoard(content){
        navigator.clipboard.writeText(content)
            .then(() => {
            console.log("Text copied to clipboard...")
        })
            .catch(err => {
            console.log('Something went wrong', err);
        })
    }
</script>
{% endblock content %}